summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-c++
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-c++')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/lang-c++27
1 files changed, 5 insertions, 22 deletions
diff --git a/gettext-tools/tests/lang-c++ b/gettext-tools/tests/lang-c++
index ec2f82b..110c511 100755..100644
--- a/gettext-tools/tests/lang-c++
+++ b/gettext-tools/tests/lang-c++
@@ -5,9 +5,6 @@
# Assumes an fr_FR locale is installed.
# Assumes the following packages are installed: gcc g++.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
# Test whether a C++ compiler is found and libasprintf is built.
test "${CXX}" != ":" || {
echo "Skipping test: no C++ compiler found"
@@ -18,7 +15,6 @@ test "${TESTLIBASPRINTF}" = yes || {
exit 77
}
-tmpfiles="$tmpfiles l-c++-prog.cc"
cat <<\EOF > l-c++-prog.cc
#include "config.h"
@@ -60,7 +56,6 @@ int main (int argc, char *argv[])
}
EOF
-tmpfiles="$tmpfiles l-c++-prog.${OBJEXT} l-c++-prog${EXEEXT}"
# Compile in two steps from .cc to .o and from .o to 'l-c++-prog'. This way,
# relinking is faster because doesn't need to redo the first step.
# Put the -I flags before ${CXXFLAGS} ${CPPFLAGS}, to make sure that libintl.h
@@ -75,14 +70,10 @@ ${CXX} -I../.. -I../../../gettext-runtime/libasprintf -I"$abs_top_srcdir"/gnulib
${LIBTOOL} --quiet --tag=CXX --mode=link --tag=CXX ${CXX} ${CXXFLAGS} `echo "X ${LDFLAGS} " | sed -e 's/^X//' -e 's/ -Wl,--disable-auto-import / /'` -o l-c++-prog l-c++-prog.${OBJEXT} ../../../gettext-runtime/libasprintf/libasprintf.la ../../gnulib-lib/libgettextlib.la ${LTLIBINTL} \
|| exit 1
-tmpfiles="$tmpfiles l-c++-prog.tmp l-c++-prog.pot"
: ${XGETTEXT=xgettext}
-${XGETTEXT} -o l-c++-prog.tmp --omit-header --no-location -k_ l-c++-prog.cc
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < l-c++-prog.tmp > l-c++-prog.pot
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${XGETTEXT} -o l-c++-prog.tmp --omit-header --no-location -k_ l-c++-prog.cc || exit 1
+LC_ALL=C tr -d '\r' < l-c++-prog.tmp > l-c++-prog.pot || exit 1
-tmpfiles="$tmpfiles l-c++-prog.ok"
cat <<EOF > l-c++-prog.ok
msgid "'Your command, please?', asked the waiter."
msgstr ""
@@ -101,7 +92,6 @@ EOF
: ${DIFF=diff}
${DIFF} l-c++-prog.ok l-c++-prog.pot || exit 1
-tmpfiles="$tmpfiles l-c++-fr.po"
cat <<\EOF > l-c++-fr.po
msgid ""
msgstr ""
@@ -124,17 +114,13 @@ msgid "%s is replaced by %s."
msgstr "%2$s remplace %1$s."
EOF
-tmpfiles="$tmpfiles l-c++-fr.po.tmp l-c++-fr.po.new"
: ${MSGMERGE=msgmerge}
-${MSGMERGE} -q -o l-c++-fr.po.tmp l-c++-fr.po l-c++-prog.pot
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < l-c++-fr.po.tmp > l-c++-fr.po.new
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${MSGMERGE} -q -o l-c++-fr.po.tmp l-c++-fr.po l-c++-prog.pot || exit 1
+LC_ALL=C tr -d '\r' < l-c++-fr.po.tmp > l-c++-fr.po.new || exit 1
: ${DIFF=diff}
${DIFF} l-c++-fr.po l-c++-fr.po.new || exit 1
-tmpfiles="$tmpfiles l-c++"
test -d l-c++ || mkdir l-c++
test -d l-c++/fr || mkdir l-c++/fr
test -d l-c++/fr/LC_MESSAGES || mkdir l-c++/fr/LC_MESSAGES
@@ -142,7 +128,6 @@ test -d l-c++/fr/LC_MESSAGES || mkdir l-c++/fr/LC_MESSAGES
: ${MSGFMT=msgfmt}
${MSGFMT} -o l-c++/fr/LC_MESSAGES/prog.mo l-c++-fr.po
-tmpfiles="$tmpfiles l-c++-prog.ok l-c++-prog.oku l-c++-prog.out"
: ${DIFF=diff}
cat <<\EOF > l-c++-prog.ok
«Votre commande, s'il vous plait», dit le garçon.
@@ -179,9 +164,7 @@ if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
else
echo "Skipping test: no french locale is supported"
fi
- rm -fr $tmpfiles; exit 77
+ exit 77
fi
-rm -fr $tmpfiles
-
exit 0